org.apache.tools.ant.taskdefs

## Class PathConvert.TargetOs

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.taskdefs.PathConvert.TargetOs

Enclosing class:
  PathConvert

    public static class PathConvert.TargetOs
    extends EnumeratedAttribute

An enumeration of supported targets: "windows", "unix", "netware", and "os/2".

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`value`

### Constructor Summary

Constructors
Constructor and Description
`PathConvert.TargetOs()`

### Method Summary

Methods
`java.lang.String[]` `getValues()` This is the only method a subclass needs to implement.

### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PathConvert.TargetOs

    public PathConvert.TargetOs()

### Method Detail

#### getValues

    public java.lang.String[] getValues()

Description copied from class: `EnumeratedAttribute`
This is the only method a subclass needs to implement.

Specified by:
  `getValues` in class `EnumeratedAttribute`
Returns:
  the list of values for this enumerated attribute.